<?php

use Orchestra\Testbench\TestCase;

class InstallationManagerTest extends TestCase
{

    /** @test */
    public function get_installation()
    {
        $config = $this->createConfig();
        $this->assertTrue($config->has('installations'));
    }

    private function createConfig($override = [])
    {
        $default = include __DIR__.DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR.'config/installations.php';
        return new \Illuminate\Config\Repository(['installations' => array_merge($default, $override)]);
    }

}
